petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetDiagonalBlock

Returns the part of the matrix associated with the on-process coupling

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetDiagonalBlock(Mat A,Mat *a)

Not Collective Many br

### Input Parameters

A -the matrix Many br

### Output Parameters

a -the diagonal part (which is a SEQUENTIAL matrix) Many br

Notes: see the manual page for MatCreateAIJ() for more information on the "diagonal part" of the matrix. Many brUse caution, as the reference count on the returned matrix is not incremented and it is used as Many brpart of the containing MPI Mat's normal operation. Many br

Many br

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages